> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upgrade to Commission Agent

> Upgrade from points agent to commission-earning agent with bank details.



## OpenAPI

````yaml /openapi/freelance-internal-api.mintlify.json post /api/peterpans/agent/integration/upgradeToCommissionAgent
openapi: 3.0.3
info:
  title: Freelance Travel App API Documentation
  description: >-
    API for the Freelance Travel App - managing users, products, cart, quotes,
    bookings, and agent integrations.
  version: 1.0.0
servers:
  - url: https://confirmation.freelancetravel.com
security:
  - default: []
tags:
  - name: Admin
    description: ''
  - name: Agent Integration
    description: |-

      APIs for managing travel agent integrations and upgrades
  - name: App Metadata
    description: ''
  - name: Authentication
    description: |-

      APIs for user authentication and account management
  - name: Caching
    description: ''
  - name: Cart & Quotes
    description: |-

      APIs for managing shopping cart items, quotes, and bookings
  - name: Discounts
    description: ''
  - name: Endpoints
    description: ''
  - name: Favourites
    description: ''
  - name: Products
    description: |-

      APIs for managing products and home feed
  - name: Redeemers
    description: ''
  - name: Shared Payments
    description: ''
  - name: System
    description: ''
paths:
  /api/peterpans/agent/integration/upgradeToCommissionAgent:
    post:
      tags:
        - Agent Integration
      summary: Upgrade to Commission Agent
      description: Upgrade from points agent to commission-earning agent with bank details.
      operationId: upgradeToCommissionAgent
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                bankBsb:
                  type: string
                  description: The bank BSB number.
                  example: '012345'
                bankAccount:
                  type: string
                  description: The bank account number.
                  example: '123456789'
                bankCountryShortCode:
                  type: string
                  description: Country code (AU, NZ).
                  example: AU
                businessNumber:
                  type: string
                  description: ABN or business number.
                  example: '12345678901'
                tradingName:
                  type: string
                  description: Business trading name.
                  example: Travel Agency Pty Ltd
              required:
                - bankBsb
                - bankAccount
                - bankCountryShortCode
                - businessNumber
                - tradingName
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  status: success
                  message: Upgraded to commission agent
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Upgraded to commission agent
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token</b>.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.